fsx/fsstress: round blocksize properly
[xfstests-dev.git] / tests / generic / 124
1 #! /bin/bash
2 # SPDX-License-Identifier: GPL-2.0
3 # Copyright (c) 2006 Silicon Graphics, Inc.  All Rights Reserved.
4 #
5 # FSQA Test No. 124
6 #
7 # Test preallocated_rw_pattern_test modified from CXFSQA test preallocated_rw_pattern_test
8 #
9 # pat stands for pattern.  First 8 bytes contains the 64-bit number 0,
10 # second is 1, ..., until last 8 bytes (1048568-1048575) contain 131071.
11 # patw preallocates the file and then writes the pattern, patr checks it
12 #
13 seq=`basename $0`
14 seqres=$RESULT_DIR/$seq
15 echo "QA output created by $seq"
16
17 here=`pwd`
18 tmp=/tmp/$$
19 status=1        # failure is the default!
20 trap "_cleanup; exit \$status" 0 1 2 3 15
21
22 _cleanup()
23 {
24     cd /
25 }
26
27 # get standard environment, filters and checks
28 . ./common/rc
29 . ./common/filter
30
31 # real QA test starts here
32 _supported_fs generic
33
34 _require_test
35 _require_scratch
36 _scratch_mkfs >/dev/null 2>&1
37 _scratch_mount
38
39 # Run preallo_rw_pattern on both test and scratch partitions
40 for TESTFILE in $TEST_DIR/rw_pattern.tmp $SCRATCH_MNT/rw_pattern.tmp
41   do
42   count=1
43   while (( count < 101 ))
44     do
45     $here/src/preallo_rw_pattern_writer $TESTFILE
46     $here/src/preallo_rw_pattern_reader $TESTFILE
47     if (test $? -ne 0) then
48         echo Read/Write Pattern Test FAILED.
49         _cleanup
50         exit 1
51     fi
52     rm $TESTFILE
53     ((count=count+1))
54   done #done for count of  100
55 done
56
57 if (test $? -eq 0 ) then
58     status=0
59 fi
60
61 _scratch_unmount
62
63 exit